Bio::Map::LinkagePosition(3)

NAME
Bio::Map::LinkagePosition - Create a Position for a Marker that will be placed
                        on a Bio::Map::LinkageMap

SYNOPSIS
    use Bio::Map::Position;
    my $position = Bio::Map::LinkagePosition->new(-positions => 1,
                                                 -distance => 22.1 );

        # can get listing of positions
    my @positions = $position->each_position;

DESCRIPTION
Position for a Bio::Map::MarkerI compliant object that will be placed on a Bio::Map::LinkageMap. See Bio::Map::MarkerI and Bio::Map::LinkageMap for details

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Chad Matsalla
Email bioinformatics1@dieselwurks.com

CONTRIBUTORS
Lincoln Stein, lstein@cshl.org Heikki Lehvaslaiho, heikki-at-bioperl-dot-org Jason Stajich jason@bioperl.org Sendu Bala bix@sendu.me.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Map::LinkagePosition->new(-positions => $position,
                                                                   -distance => $distance);
 Function: Builds a new Bio::Map::LinkagePosition object
 Returns : Bio::Map::LinkagePosition
 Args    : -order => the relative order of this marker on a linkage map
               -positions => positions on a map

  Bio::Map::PositionI methods

  order
 Title   : order
 Usage   : $o_position->order($order)
           my $order = $o_position->order()
 Function: get/set the order position of this position in a map
 Returns : int
 Args    : none to get, int to set